2020-10-23 09:50 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003238BatmanTheMovie[WHDLoad Installs Games] slavepublic2016-07-19 15:23
Reporterretrogamer 
Assigned ToStingRayProject InfoBatman the Movie (Ocean)
http://www.whdload.de/games/BatmanTheMovie.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003238: "adress error" after the title screen when using 68000 cpu
DescriptionGet an "adress error" after the title screen when using 68000 cpu.

A working quitkey for 68000 would be nice too.

I have attached a coredump from whdload.

Bored Seal is retired from the amiga scene so maybe Stingray or Psygore can fix it?

I am using the latest versin 1.4 from http://www.whdownload.com/games/Update-2011-07-17/BatmanTheMovie_v1.4_0019.zip
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.1
imported
Attached Files
  • ? file icon batman (3,661 bytes) 2015-05-16 14:21 -
    ************************* 25-Nov-79 05:41:27 ************************18.1.5717***
    Slave='BatmanTheMovie.Slave' (828 bytes)
    ShadowMem   2BD918 -   2E1918 ( 147456) AbsolutMem    24000 -    80000 ( 376832)
    Resload     2ADB60 -   2B4194 (  26164) at 2ADB60  GL=$2B5A40
    Slave       23EB88 -   23EEA0 (    792) at 23EB88  BaseMemSize=$80000
    attn=200(UAE,00) fc=-1 kn=20421 cs=50F2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Address Error" ($F00C) PC = $23ED2E (Slave $1A6) Read from $23EE97
    (Slave $30F)
    
    $0023ecfe lea          ($23ee93,pc),a3
    $0023ed02 cmpi.b       #$20,(a2)                      ;$00000a85
    $0023ed06 bne.b        $23ed1c
    $0023ed08 cmpi.b       #$20,(1,a2)                    ;$00000a86
    $0023ed0e beq.b        $23ed26
    $0023ed10 cmpi.w       #$4946,(1,a2)                  ;$00000a86
    $0023ed16 bne.b        $23ed1c
    $0023ed18 move.b       #$2e,(a2)                      ;$00000a85
    $0023ed1c move.b       (a2)+,(a3)+                    ;$00000a85 $0023ee97
    $0023ed1e dbf          d1,$23ed02
    $0023ed22 moveq        #0,d1
    $0023ed24 rts
    $0023ed26 move.l       #$2e494646,(a3)+               ;$0023ee97
    $0023ed2c clr.b        (a3)                           ;$0023ee97
    $0023ed2e moveq        #0,d1
    $0023ed30 rts
    $0023ed32 movem.l      d0-d1/d3-d7/a0-a6,-(a7)        ;$000007a6
    $0023ed36 lea          ($23ee93,pc),a0
    $0023ed3a move.l       ($23ee7c,pc),a2
    $0023ed3e jsr          ($24,a2)                       ;$00000aa9
    $0023ed42 move.l       d0,d2
    $0023ed44 movem.l      (a7)+,d0-d1/d3-d7/a0-a6        ;$000007a6
    $0023ed48 rts
    $0023ed4a movem.l      d0-d7/a0-a6,-(a7)              ;$000007a6
    $0023ed4e lea          ($23ee93,pc),a0
    $0023ed52 move.l       ($23ee7c,pc),a2
    $0023ed56 jsr          (8,a2)                         ;$00000a8d
    $0023ed5a movem.l      (a7)+,d0-d7/a0-a6              ;$000007a6
    $0023ed5e move.l       (a7)+,a0                       ;$000007a6
    
    exception stackframe:
    $000007A6 00150023 EE9726FC 20040023 ED2E
    regular stack:
    $000007B4 000016B8 00000A40 000016A0 00000A32 000016A0 00000A24 000016A0 00000A16
    $000007D4 00000D70 00000A16 FFFFDF4E 0000FFFF 09060A07 04140313 0F630101 02120433
    $000007F4 0F770C55 0000FFFF 00000A14 0003F82A 00063CD7 00063CD7 00BFE101 00BFD100
    $00000814 00DFF000 00000A00 6000001A 6000013A 600001B6 60000262 6000030E 60000372
    $00000834 6000041E 4FF8081C 6100172A 6100134A 23FC0007 C7FC0000 0D1A23FC 00002C66
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       1E         6   9060A07   4140313   F630101   2120433   F770C55      FFFF
    Ax      A81      2C66       A85    23EE97    BFE101    BFD100     7C7FC
    
                     TTSM III   XNZVC
    PC=  23ED2E  SR %0010000000000100  USP=7FC00  SSP=7A6
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001111000 dmacon=%0010001101000000 adkcon=$   0
    intreq=%0000000000000000
    vposr....A000  vhposr...0542  joy0dat..DF4D  joy1dat..DC4C  clxdat...81FE  
    pot0dat..8A00  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..2000  
    deniseid.FFFC  hhposr...FFFF  
       ciaa:     PI ROPS           ciab:     PI ROPS
        cra=00000000  ta= 796<21FF    cra=00000000  ta=FFFF<FFFF
            AII ROPS                AII ROPS
        crb=00000001  tb=2793<37F0    crb=00000000  tb=  91<  91
            10RTWCLO      parallel      DRCCDSOY      M3210HDS
        pra=11111100  prb=00000000      pra=00000111  prb=11111111
           ddra=00000011 ddrb=11111111     ddra=11000000 ddrb=11111111
           event=000398  icr=00  sdr=00    event=004A98  icr=00  sdr=00
    
    ? file icon batman (3,661 bytes) 2015-05-16 14:21 +

-Relationships
+Relationships

-Notes

note ~0005081

StingRay (developer)

New patch will be released soon, finished most of the code and then got sidetracked as usual. :)

note ~0005099

StingRay (developer)

New patch available, it is 68000 compatible fixes a lot of bugs and trainers have been added as well.

note ~0005103

retrogamer (reporter)

Thanks Stingy!
+Notes

-Issue History
Date Modified Username Field Change
2015-05-16 14:21 retrogamer New Issue
2015-05-16 14:21 retrogamer File Added: batman
2016-07-15 12:01 JOTD Assigned To => JOTD
2016-07-15 12:01 JOTD Status new => assigned
2016-07-15 22:49 JOTD Status assigned => acknowledged
2016-07-16 11:33 StingRay Assigned To JOTD => StingRay
2016-07-16 11:33 StingRay Status acknowledged => assigned
2016-07-16 11:34 StingRay Note Added: 0005081
2016-07-19 14:06 StingRay Note Added: 0005099
2016-07-19 14:06 StingRay Status assigned => resolved
2016-07-19 14:06 StingRay Resolution open => fixed
2016-07-19 15:23 retrogamer Note Added: 0005103
+Issue History